Bug 91145 - avr-libc fails to build if jpegtopnm and pnmtops are not installed
avr-libc fails to build if jpegtopnm and pnmtops are not installed
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Latest
Any Any
: Normal Affects Only Me
Assigned To: Joerg Wunsch
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2005-12-31 17:10 UTC by arne
Modified: 2006-03-28 06:12 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description arne 2005-12-31 17:10:03 UTC
	gmake[4]: Entering directory `/usr/ports/devel/avr-libc/work/avr-libc-1.4.1/doc/
examples/largedemo'
jpegtopnm largedemo-setup.jpg |\
pnmtops -noturn -dpi 180 -equalpixels > largedemo-setup.eps
jpegtopnm: not found
pnmtops: not found
gmake[4]: *** [largedemo-setup.eps] Fehler 127

Fix: 

Add netpbm to build depencies
How-To-Repeat: 	Try to build avr-libc without netpbm installed
Comment 1 pav freebsd_committer 2005-12-31 23:42:32 UTC
Responsible Changed
From-To: freebsd-ports-bugs->joerg

Over to maintainer
Comment 2 j 2006-01-06 23:03:04 UTC
netpbm is a prerequisite of transfig, which is in turn listed as
a prerequisite of avr-libc.
-- 
cheers, J"org               .-.-.   --... ...--   -.. .  DL8DTL

http://www.sax.de/~joerg/                        NIC: JW11-RIPE
Never trust an operating system you don't have sources for. ;-)
Comment 3 Joerg Wunsch freebsd_committer 2006-03-28 06:11:53 UTC
State Changed
From-To: open->closed

While netpbm was already implicitly required due to being 
a prerequisite of transfig, I've now explicitly mentioned 
it as a build dependency as well.